DevToolPal
日本語

メールアドレス書式チェッカー

1 件または複数のメールアドレスの書式をチェックし、ドメインのよくある入力ミスを見つけ、重複を削除します。書式のみを確認し、メールボックスは照会しません。

ローカルで処理、アップロードなし

オプション

表示

メールアドレス(1 行に 1 件)

0 文字 · 0 B

書式チェック

結果はここに表示されます

機能

このツールは、メールアドレスが正しく書かれているかをチェックします。アドレスを 1 件、またはリスト全体を貼り付けると、それぞれが有効か無効かを理由付きで表示します。理由の例は、@ がない、ドットが連続している、ドメインにドットがない、使えない文字がある、などです。インポート前のメーリングリストの整理、フォーム入力ルールの確認、CSV エクスポートの中の壊れた 1 行を見つけるのに役立ちます。

書式のみをチェックします。 メールサーバーには一切接続しないため、メールボックスが存在するか、メールを受信できるかはわかりません。

使い方

  1. 入力欄にアドレスを 1 行に 1 件ずつ貼り付けます。カンマやセミコロンも区切りとして使えるので、To: 行をそのまま貼り付けられます。
  2. 入力に合わせて結果が表示され、有効・無効の件数のまとめも表示されます。
  3. 表示 で、すべて・有効のみ・無効のみを切り替えます。重複を削除 は重複を取り除きます。ドメインは大文字・小文字を区別せずに比較されます。
  4. 有効なアドレスをコピー を押すと、1 行に 1 件ずつのきれいなリストがコピーされます。

表示名にも対応しています:Bob Smith <bob@example.com> は bob@example.com としてチェックされ、名前を削除したことが注記されます。

チェック項目

  • @ が(クォートの外に)ちょうど 1 つあり、その両側に何かがあること。
  • アドレス全体が 254 文字以内、@ の前の部分が 64 文字以内であること。
  • ローカル部が使用可能な文字だけで構成され、先頭・末尾のドットや連続したドットがないこと。"john doe"@example.org のようなクォートされたローカル部は警告付きで許可されます。
  • ドメインが 2 つ以上のラベルからなり、各ラベルが英数字とハイフンで 1〜63 文字、ハイフンで始まったり終わったりせず、トップレベルドメインが実在しそうな形であること。admin@[192.168.0.1] のような IP リテラルは警告付きで許可されます。
  • gmial.com や qq.con のような人気ドメインのよくあるつづり間違いには、「もしかして」の候補が表示されます。

例

alice@example.com        valid
lisi@gmial.com           valid, did you mean lisi@gmail.com?
two@@example.com         invalid: more than one @
user@localhost           invalid: domain needs a dot
用户@例子.中国            valid, internationalized address

よくある質問

› メールボックスが存在するかどうかを確認しますか?

いいえ。これは書式チェックのみです。ドメインのメールサーバーを調べたり接続したりはしないため、ここで合格したアドレスでも配信エラーになることがあります。メールボックスの確認にはサーバーが必要で、確実な方法は確認メールを送ることだけです。

› アドレスはアップロードされますか?

いいえ。チェックはすべてブラウザ内で行われるため、メーリングリストが端末の外に出ることはありません。

› どのルールに従っていますか?

RFC 5321 と RFC 5322 のアドレス構文、さらに RFC 6531 の国際化アドレスです。アドレス内のコメントのような廃止された形式は、ほぼどのメールシステムも受け付けないため無効とします。

› 有効なアドレスに警告が付くのはなぜですか?

規格上は正しくてもリスクのあるアドレスがあります:gmial.com のような入力ミスらしきもの、ドメインの代わりの IP アドレス、クォートされたローカル部、一部のサーバーが拒否する非 ASCII 文字などです。こうしたアドレスも有効として数えられます。